%define USE_LIBNSS 1
%define USE_FIPSCHECK 1
%define USE_LIBCAP_NG 0
%define USE_NM 0
%define USE_LABELED_IPSEC 1
%define nss_version 3.12.6-2
%define fipscheck_version 1.2.0-1
#737975, 693432
%define USE_CRL_FECTCHING 1

Summary: IPSEC implementation with IKEv1 and IKEv2 keying protocols
Name: openswan
Version: 2.6.32

Release: 9%{?dist}
License: GPLv2+
Url: http://www.openswan.org/
Source: openswan-%{version}.tar.gz

Source2: ipsec.conf
#719594, 737976
Source3: README.x509

Patch1: openswan-2.6-relpath.patch
Patch2: openswan-ipsec-help-524146-509318.patch
Patch3: openswan-658253-658121-2.patch
Patch4: openswan-668785.patch
Patch5: openswan-658253-658121-3.patch
Patch6: openswan-621790.patch
Patch7: openswan-658253-658121.patch
Patch8: openswan-labeled-ipsec.patch
Patch9: openswan-681974-683604.patch
Patch10: openswan-703473.patch
Patch11: openswan-703985.patch
Patch12: openswan-704548.patch
Patch13: openswan-711975.patch
Patch14: openswan-cisco-738385.patch
Patch15: openswan-592265-737973.patch
Patch16: openswan-742632.patch 
Patch17: openswan-742070.patch
Patch18: openswan-cve-2011-4073.patch
Patch19: openswan-749605-609343.patch
Patch20: openswan-768162.patch
Patch21: openswan-771470.patch
Patch22: openswan-ikev2-fixes.patch
Patch23: openswan-ikev2-additional-fixes.patch
Patch24: openswan-ikev2-795842-795850.patch
Patch25: openswan-ikev2-ts.patch
Patch26: openswan-768442.patch
Patch27: openswan-771467.patch
Patch28: openswan-831669.patch
Patch29: openswan-831676.patch
Patch30: openswan-831676-loopback.patch

Patch31: openswan-libreswan-backport-949437-atodn.patch
Patch32: openswan-libreswan-backport-949437-x509dn.patch
Patch33: openswan-libreswan-backport-CVE-2013-6466-rhel5.patch
Patch34: openswan-libreswan-backport-1070358.patch

Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gmp-devel bison flex xmlto bind-devel
%if %{USE_LIBNSS}
BuildRequires: nss-devel >= %{nss_version}
%endif
%if %{USE_LABELED_IPSEC}
BuildRequires: libselinux-devel
%endif
Requires(post): coreutils bash
Requires(preun): initscripts chkconfig
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%if %{USE_FIPSCHECK}
BuildRequires: fipscheck-devel >= %{fipscheck_version}
%endif

%if %{USE_LIBCAP_NG}
BuildRequires: libcap-ng-devel
%endif

%if %{USE_CRL_FECTCHING}
BuildRequires: openldap-devel curl-devel
Requires: curl openldap
%endif

Provides: ipsec-userland = %{version}-%{release}
#unless kernel with NETKEY supplies this capability we cannot do this
#Requires: ipsec-kernel

%package doc
Summary: Full documentation of Openswan IPSEC implementation
Group: System Environment/Daemons

%description
Openswan is a free implementation of IPsec & IKE for Linux.  IPsec is
the Internet Protocol Security and uses strong cryptography to provide
both authentication and encryption services.  These services allow you
to build secure tunnels through untrusted networks.  Everything passing
through the untrusted net is encrypted by the ipsec gateway machine and
decrypted by the gateway at the other end of the tunnel.  The resulting
tunnel is a virtual private network or VPN.

This package contains the daemons and userland tools for setting up
Openswan. It supports the NETKEY/XFRM IPsec kernel stack that exists
in the default Linux kernel.

Openswan 2.6.x also supports IKEv2 (RFC4306)

%description doc
This package contains extensive documentation of the Openswan IPSEC
system.

%prep
%setup -q -n openswan-%{version}
install -m 644 %{SOURCE3} doc/README.x509
find doc/examples -type f -print0 | xargs -0 chmod a-x
find doc -name .gitignore -print0 | xargs -0 rm -v

%patch1 -p1 -b .relpath
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1

%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1

%build
%{__make} \
  USERCOMPILE="-g %{optflags} -fPIE -pie" \
  USERLINK="-g -pie -Wl,-z,relro -Wl,-z,now" \
  INC_USRLOCAL=%{_prefix} \
  FINALLIBDIR=%{_libexecdir}/ipsec \
  IPSEC_LIBDIR="${IPSEC_LIBDIR-/usr/libexec/ipsec}" \
  MANTREE=%{_mandir} \
  INC_RCDEFAULT=%{_initrddir} \
%if %{USE_LIBNSS}
  USE_LIBNSS=true \
%endif
%if %{USE_FIPSCHECK}
  USE_FIPSCHECK=true \
%endif
%if %{USE_LIBCAP_NG}
  USE_LIBCAP_NG=true \
%endif
%if %{USE_NM}
  USE_NM=true \
%endif
%if %{USE_LABELED_IPSEC}
  USE_LABELED_IPSEC=true \
%endif
%if %{USE_CRL_FECTCHING}
  USE_LDAP=true \
  USE_LIBCURL=true \
  HAVE_THREADS=true \
%endif
  programs
FS=$(pwd)

%if %{USE_FIPSCHECK}
%define __os_install_post  \
  /usr/lib/rpm/brp-compress \
  /usr/lib/rpm/brp-strip \
  /usr/lib/rpm/brp-strip-static-archive \
  /usr/lib/rpm/brp-strip-comment-note \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/setup \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/addconn \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/auto \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/barf \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_copyright \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/eroute \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/ikeping \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_include \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_keycensor \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/klipsdebug \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/look \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/newhostkey \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/pf_key \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_pluto_adns \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_plutoload \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_plutorun \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/ranbits \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_realsetup \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/rsasigkey \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/pluto \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_secretcensor \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/secrets \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/showdefaults \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/showhostkey \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/showpolicy \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/spi \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/spigrp \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_startklips \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_startnetkey \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/tncfg \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_updown \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_updown.klips \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_updown.mast \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/_updown.netkey \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/verify \
  fipshmac $RPM_BUILD_ROOT%{_libexecdir}/ipsec/whack \
  fipshmac $RPM_BUILD_ROOT%{_sbindir}/ipsec \
%{nil}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} \
  DESTDIR=$RPM_BUILD_ROOT \
  INC_USRLOCAL=%{_prefix} \
  FINALLIBDIR=%{_libexecdir}/ipsec \
  IPSEC_LIBDIR="${IPSEC_LIBDIR-/usr/libexec/ipsec}" \
  MANTREE=$RPM_BUILD_ROOT%{_mandir} \
  INC_RCDEFAULT=%{_initrddir} \
  install
FS=$(pwd)
rm -rf $RPM_BUILD_ROOT/usr/share/doc/openswan

# ipsec and setup both installed by default - they are identical
rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/setup
rm -f $RPM_BUILD_ROOT/usr/share/man/man3/*
install -d -m 0700 $RPM_BUILD_ROOT%{_localstatedir}/run/pluto
install -d $RPM_BUILD_ROOT%{_sbindir}
find $RPM_BUILD_ROOT/etc/ipsec.d -type f -exec chmod 644 {} \;

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.conf

sed -i -e 's#/usr/lib/#%{_libexecdir}/#g' $RPM_BUILD_ROOT%{_initrddir}/ipsec

echo "include /etc/ipsec.d/*.secrets" > $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.secrets

chmod a-x $RPM_BUILD_ROOT%{_mandir}/*/*

# nuke duplicate docs to save space.  this leaves html and ps
rm -f doc/HOWTO.pdf doc/HOWTO.txt

rm -fr $RPM_BUILD_ROOT/etc/rc.d/rc*

rm -fr $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.d/examples

%clean
rm -rf $RPM_BUILD_ROOT

%files doc
%defattr(-,root,root)
%doc doc/README.* doc/CHANGES.* doc/CREDITS.* doc/2.6.known-issues
%doc doc/examples doc/std doc/quickstarts doc/*.html

%files 
%defattr(-,root,root)
%doc BUGS CHANGES COPYING CREDITS README LICENSE
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ipsec.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ipsec.secrets
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ipsec.d/policies/*
%attr(0700,root,root) %dir %{_sysconfdir}/ipsec.d/policies
%attr(0700,root,root) %dir %{_sysconfdir}/ipsec.d
%{_initrddir}/ipsec
%{_sbindir}/ipsec
%if %{USE_FIPSCHECK}
%{_sbindir}/.ipsec.hmac
%endif
%{_libexecdir}/ipsec
%{_mandir}/*/*.gz
%{_localstatedir}/run/pluto

%preun
if [ $1 = 0 ]; then
	/sbin/service ipsec stop || :
	/sbin/chkconfig --del ipsec
fi

%postun
if [ $1 -ge 1 ] ; then
	/sbin/service ipsec condrestart 2>&1 > /dev/null || :
fi

%post
chkconfig --add ipsec || :

%changelog
* Mon Apr 14 2014 Paul Wouters <pwouters@redhat.com> - 2.6.32-9
- Resolves: #1070358 openswan breaks NAT-T draft clients

* Mon Feb 10 2014 Paul Wouters <pwouters@redhat.com> - 2.6.32-8.3
- Resolves: CVE-2013-6466 (rhbz#1050325 refix)

* Mon Jan 27 2014 Paul Wouters <pwouters@redhat.com> - 2.6.32-8.2
- Resolves: CVE-2013-6466 missing IKEv2 payloads causes pluto daemon to restart

* Mon Oct 07 2013 Paul Wouters <pwouters@redhat.com> - 2.6.32-8.1
- Resolves: CVE-2013-2053 Openswan: remote buffer overflow in atodn()

*Mon Jul 9 2012 Avesh Agarwal <avagarwa@redhat.com> - 2.6.32-4
Resolves: #807772

* Fri Oct 28 2011 Avesh Agarwal <avagarwa@redhat.com> - 2.6.32-3
Resolves: #748968 cve-2011-4073 updated upstream patch
Resolves: #609343

* Tue Oct 25 2011 Avesh Agarwal <avagarwa@redhat.com> - 2.6.32-2
Resolves: #748968 cve-2011-4073

* Thu Oct 13 2011 Avesh Agarwal <avagarwa@redhat.com> - 2.6.32-1
Resolves: #698248

* Wed Feb 23 2011 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-10
Resolves: #652733

* Tue May 11 2010 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-9
- Missed some changes in spec file, and because of that, changes
  for the bz 584987 did not get enabled. Rechecking correct spec
  file.
Resolves: #584987

* Mon May 10 2010 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-8
Resolves: #584987

* Mon Jan 18 2010 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-7
- Addresses bz 549811: nss database password logging issue
Resolves: #549811

* Mon Nov 9 2009 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-6
- Addresses bzs 524189 and 524191
- Addresses key zeroization
- Updates package description 
Resolves: #524191

* Tue Jul 14 2009 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-5
- Improved FIPS integrity check functionality
Resolves: #469763 FIPS-140: Add integrity checking

* Fri Jun 26 2009 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-4
- Added support for using PSK with NSS (rhbz 507844)
- Fixed several warnings and undid unnecessary comments
- Updated README.nss with an example configuration
- Fixed Openswan ASN.1 parser vulnerability (CVE-2009-2185)
Resolves: CVE-2009-2185
Resolves: #507844

* Mon May 18 2009 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-3
- Revised patch to support fips integrity check functionality
Resolves: #469763 FIPS-140: Add integrity checking

* Fri May 8 2009 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-2
- Revised patch to support fips integrity check functionality
Resolves: #469763 FIPS-140: Add integrity checking

* Tue Apr 21 2009 Avesh Agarwal <avagarwa@redhat.com> - 2.6.21-1
- Upstream release
- Major patches for support of NSS and fipscheck libraries
Resolves: #444801 FIPS-140-2: Meet certification requirements for pluto
Resolves: #469763 FIPS-140: Add integrity checking
Resolves: #438998 Openswan's 'cannot route...' problem
Resolves: #449725 Openswan seg fault using manual keying.
Resolves: #463931 /etc/ipsec.conf includes /etc/ipsec.d/*.conf which is missing
Resolves: #466861 avc: denied { write } for pid=2193 comm="ip" path="/var/run/pluto/ipsec_setup.out"
Resolves: #487708 Misleading package description

* Fri Mar 27 2009 Avesh Agarwal <avagarwa@redhat.com> - 2.6.14-2
- security update (CVE-2009-0790, CVE-2008-4190)
Resolves: CVE-2009-0790, CVE-2008-4190

* Fri Jun 06 2008 Steve Grubb <sgrubb@redhat.com> - 2.6.14-1
- new upstream release
Resolves: #444575 openswan doesn't delete expired SA's

* Thu Jun 05 2008 Steve Grubb <sgrubb@redhat.com> - 2.6.14rc10-1
- new upstream release

* Wed Jun 04 2008 Steve Grubb <sgrubb@redhat.com> - 2.6.14rc7-1
- new upstream release
Resolves: #439771 openswan and strongswan fail to interoperate with IKEv2
Resolves: #441383 openswan should negotiate CCM algorithm
Resolves: #442955 openswan doesn't accept null esp auth alg
Resolves: #442956 openswan logging segfault when phase2alg=null
Resolves: #444166 openswan IKEv2 crashes when interoperating with racoon2

* Wed Apr 23 2008 Steve Grubb <sgrubb@redhat.com> - 2.6.12-2
Resolves: #442333 AVC denials on start of openswan host-to-host tunnel 

* Tue Apr 22 2008 Steve Grubb <sgrubb@redhat.com> - 2.6.12-1
- new upstream release
Resolves: #432821 left/rightsourceip tags not working
Resolves: #439985 opeswan IKEv2 responder fails when encr=aes and dh=modp1024
Resolves: #441588 openswan IKEv2 crashes when interoperating with racoon2
Resolves: #442333 AVC denials on start of openswan host-to-host tunnel 

* Wed Apr 09 2008 Steve Grubb <sgrubb@redhat.com> - 2.6.11-1
- new upstream release
Resolves: #438826 openswan IKEv2 hangs between intel and ppc64 machines
Resolves: #439985 opeswan IKEv2 responder fails when encr=aes and dh=modp1024

* Fri Mar 14 2008 Steve Conklin <sconklin@redhat.com> - 2.6.09-1
Resolves: rhbz#432315
Resolves: rhbz#432805
Resolves: rhbz#432821
- Moved to latest upstream
- removed init script patch and will use upstream
- Added protostack=netkey to ipsec.conf
- New patch to include definition of HOST_NAME_MAX

* Fri Feb  8 2008 Linda Wang <lwang@redhat.com> - 2.6.07-2
Related: rhbz#253052
- Latest upstream 

* Fri Feb  8 2008 Linda Wang <lwang@redhat.com> - 2.6.07-1
Related: rhbz#253052
- Latest upstream

* Thu Feb  7 2008 Steve Conklin <sconklin@redhat.com> - 2.6.05-1
- Latest upstream
- remove selinux test and message from verify script
- forgot the following bz earlier
Resolves: rhbz#253052 Request for IPSec IKEv2

* Tue Jan 29 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-9
- cleanup some init problems
Resolves: rhbz#430149 openswan init script errors
Resolves: rhbz#430150 openswan emits spurious warnings

* Mon Jan 21 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-8
Related: rhbz#235224
- rpmdiff spotted these:
- Cleaned out unused man page
- patch error in barf script

* Fri Jan 18 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-7
- Addressed the last set of small changes for package review

* Thu Jan 17 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-6
- Moved everything else out of /usr/lib
- Added tmraz's patch to remove extra slashes in makefile
- Removed macros from changelog entries

* Thu Jan 17 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-5
- Removed userland macros from spec file

* Thu Jan 17 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-4
- Removed use of xmlto and the BuildRequires
- moved scripts from /usr/lib to /usr/libexec
- removed man3 pages for libopenswan functions (we don't deliver)

* Wed Jan 16 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-3
- Removed _smp_mflags macro from from the spec file build section
- Added BuildRequires for xmlto
- Changed License from GPL to GPL+
- removed klips ifdefs from spec file
- Added patch to move example configs to doc dir
- Added a patch to make the link to init script relative, 
  for chroot environments

* Fri Jan 11 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-2
- Removed copy of file that no longer exists

* Fri Jan 11 2008 Steve Conklin <sconklin@redhat.com> - 2.6.03-1
- Latest upstream tarball, includes fixes

* Thu Jan 10 2008 Steve Conklin <sconklin@redhat.com> - 2.6.02-2
- Rebase to 2.6.02, add initial ikev2 support

* Mon Sep 17 2007 Steve Conklin <sconklin@redhat.com> - 2.4.9-2
- Forgot changelog on last entry

* Mon Sep 17 2007 Steve Conklin <sconklin@redhat.com> - 2.4.9-1
- sync to upstream latest

* Tue Mar 20 2007 Florian La Roche <laroche@redhat.com> - 2.4.7-3
- do not use epoch macro, it is unset

* Wed Feb 28 2007 Harald Hoyer <harald@redhat.com> - 2.4.7-2
- specfile review

* Fri Jan 26 2007 Harald Hoyer <harald@redhat.com> - 2.4.7-1
- removed key generation from install phase
- version 2.4.7

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.4.5-2.1
- rebuild

* Wed May 17 2006 Harald Hoyer <harald@redhat.com> - 2.4.5-2
- fixed typo (bug #191930)

* Fri May 05 2006 Harald Hoyer <harald@redhat.com> - 2.4.5-1
- version 2.4.5

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.4.4-1.1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.4.4-1.1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 18 2005 Harald Hoyer <harald@redhat.com> - 2.4.4-1.1
- version 2.4.4
- fixes NISCC Vulnerability Advisory 273756/NISCC/ISAKMP
- fixes NISCC Advisory 3756/NISCC/ISAKMP

* Wed Nov 02 2005 Harald Hoyer <harald@redhat.com> - 2.4.2-0.dr5.1
- version 2.4.2dr5

* Tue Oct 25 2005 Harald Hoyer <harald@redhat.com> - 2.4.2-0.dr1.1
- version 2.4.2dr1

* Tue Sep 13 2005 Harald Hoyer <harald@redhat.com> - 2.4.0-1
- version 2.4.0

* Wed Aug 31 2005 Harald Hoyer <harald@redhat.com> - 2.4.0-0.rc4.1
- new version

* Sun Jul 31 2005 Florian La Roche <laroche@redhat.com>
- remove sysv startup links to build with current rpm

* Thu May 12 2005 Harald Hoyer <harald@redhat.com> - 2.3.1-3
- added openswan-2.3.1-nat_t_aggr.patch
- added openswan-2.3.1-iproute2.patch
- added openswan-2.3.1-cisco.patch
- NAT-T/XAUTH/AGGR-MODE is now possible with a Cisco VPN 3000

* Wed Apr 27 2005 Harald Hoyer <harald@redhat.com> - 2.3.1-2
- added Requires(post) of coreutils bash (bug 155699)
- added Requires(preun) initscripts chkconfig

* Wed Apr 13 2005 Harald Hoyer <harald@redhat.com> - 2.3.1-1
- version 2.3.1

* Mon Apr  4 2005 Jeremy Katz <katzj@redhat.com> - 2.3.0-6
- remove some duplicate copies of the docs

* Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> 
- rebuilt

* Mon Feb 21 2005 Harald Hoyer <harald@redhat.com> - 2.3.0-4
- fixed bug rh#149164

* Fri Feb 18 2005 Harald Hoyer <harald@redhat.com> - 2.3.0-3
- patched code to compile with gcc4

* Fri Jan 14 2005 Harald Hoyer <harald@redhat.com> - 2.3.0-2
- Do not enable the initscript per default

* Tue Jan 11 2005 Harald Hoyer <harald@redhat.com> - 2.3.0-1
- version 2.3.0
- reimported specfile
- PIEd openswan
- cleaned up initial config files and added include directives
  for easy config drop in

* Wed Jan  5 2005 Paul Wouters <paul@xelerance.com>
- Updated for x86_64 and klips on 2.6

* Tue Nov 2 2004 Dan Walsh <dwalsh@redhat.com> - 2.1.5-3
- Apply selinux patch

* Thu Oct 21 2004 Bill Nottingham <notting@redhat.com> - 2.1.5-2
- don't run by default. again.

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 2.1.5-1
- added selinux patch from Daniel Walsh
- initscript now uses translated strings
- version 2.1.5 with minor fixes

* Tue Sep 21 2004 Harald Hoyer <harald@redhat.com> - 2.1.4-7
- added more build reqs (bug #132877)

* Thu Sep  9 2004 Bill Nottingham <notting@redhat.com> - 2.1.4-6
- don't run by default
- don't create/chmod directories in %%post, just include them with the
  right perms
- fix debuginfo
- fix docs

* Mon Aug 23 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-5
- Added debuginfo package

* Mon Aug 23 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-4
- Install man-pages
- Fix initscript 'fail()' func to write newline before failure()
  
* Thu Aug 19 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-3
- Fix 'service ipsec status' output

* Wed Aug 18 2004 Jason Vas Dias <jvdias@redhat.com> - 2.1.4-2
- Normalize initscripts for Red Hat and add translation string support

* Tue Aug 17 2004 Harald Hoyer <harald@redhat.com> - 2.1.4-1
- initial import

* Tue May 25 2004 Ken Bantoft <ken@xelerance.com>
- Initial version, based on FreeS/WAN .spec
